[@rxap/ngx-material-authentication](../wiki/globals) / LoginForm

# Class: LoginForm

Defined in: [login/login.form.ts:36](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L36)

## Implements

- `FormType`\<[`ILoginForm`](../wiki/Interface.ILoginForm)\>
- `RxapOnInit`

## Constructors

### new LoginForm()

> **new LoginForm**(`config`): [`LoginForm`](../wiki/Class.LoginForm)

Defined in: [login/login.form.ts:57](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L57)

#### Parameters

##### config

`ConfigService`\<`any`\>

#### Returns

[`LoginForm`](../wiki/Class.LoginForm)

## Properties

### config

> `readonly` **config**: `ConfigService`\<`any`\>

Defined in: [login/login.form.ts:57](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L57)

***

### email

> **email**: `RxapFormControl`\<`string`\>

Defined in: [login/login.form.ts:45](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L45)

#### Implementation of

`FormType.email`

***

### loading

> **loading**: `boolean` = `true`

Defined in: [login/login.form.ts:39](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L39)

***

### loginFailed

> **loginFailed**: `boolean` = `false`

Defined in: [login/login.form.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L40)

***

### password

> **password**: `RxapFormControl`

Defined in: [login/login.form.ts:50](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L50)

#### Implementation of

`FormType.password`

***

### remember

> **remember**: `RxapFormControl`

Defined in: [login/login.form.ts:55](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L55)

***

### rxapFormGroup

> **rxapFormGroup**: `RxapFormGroup`

Defined in: [login/login.form.ts:37](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L37)

#### Implementation of

`FormType.rxapFormGroup`

## Methods

### rxapOnInit()

> **rxapOnInit**(): `void`

Defined in: [login/login.form.ts:60](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L60)

#### Returns

`void`

#### Implementation of

`RxapOnInit.rxapOnInit`
